# KDChartMeasure.cpp File Reference

`#include <QWidget>`
`#include "KDChartMeasure.h"`
`#include <QtXml/QDomDocumentFragment>`
`#include <KDChartAbstractArea.h>`
`#include <KDChartTextAttributes.h>`
`#include <KDChartFrameAttributes.h>`
`#include <KDChartBackgroundAttributes.h>`
`#include <KDABLibFakes>`

Include dependency graph for KDChartMeasure.cpp:

Go to the source code of this file.

## Namespaces

namespace | KDChart

## Functions

QDebug | operator<< (QDebug dbg, const KDChart::Measure &m)

## Function Documentation

QDebug operator<< | ( | QDebug | dbg,
|  | const KDChart::Measure & | m |
| ) |  |  |

Definition at line 233 of file KDChartMeasure.cpp.

    00234 {
    00235     dbg << "KDChart::Measure("
    00236         << "value="<<m.value()
    00237         << "calculationmode="<<m.calculationMode()
    00238         << "referencearea="<<m.referenceArea()
    00239         << "referenceorientation="<<m.referenceOrientation()
    00240         << ")";
    00241     return dbg;
    00242 }